petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPCheckNorm

Checks if the result of a norm used by the corresponding KSP contains Inf or NaN. These indicate that the previous Section 1.5 Writing Application Codes with PETSc of the preconditioner generated an error Collective on ksp

### Input Parameter

ksp -the linear solver (KSP) context.

### Output Parameter

beta -the result of the norm

### Developer Note

this is used to manage returning from KSP solvers whose preconditioners have failed in some way

### See Also

KSPCreate(), KSPSetType(), KSP, KSPCheckDot(), KSPCheckSolve()

### Level

developer

### Location

include/petsc/private/kspimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages